Re: g77 problem with -lstdc++

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Paul Smith wrote:
On Sun, Apr 27, 2008 at 7:56 PM, Kevin J. Cummings
<[email protected]> wrote:
<[email protected]> > > I am experiencing the following
problem with g77

$ g77 -O4 -lstdc++ cwrapper.o toyprob.o algencanma.o algencan.o -o

algencanma

/usr/bin/ld: cannot find -lstdc++
collect2: ld returned 1 exit status
$

Any ideas?


 If you installed a compat g77 package, you may also need to install a
compat runtime library as well, but you would have thought that would be
a
part of the package dependencies.  do you have any of:



libstdc++-4.1.2-33
compat-libstdc++-296-2.96-139
compat-libstdc++-33-3.2.3-62


 installed?  These are installed on my F8 server.

Thanks, Kevin. I have

# rpm -q libstdc++
libstdc++-4.1.2-33
#

but

# yum install compat-libstdc++
Plugin "gpgcheck" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "gpgcheck" plugin
Setting up Install Process
Parsing package install arguments
No package compat-libstdc++ available.
Nothing to do
#

Any further ideas?

 Sorry, that package names are:

 compat-libstdc++-296
 compat-libstdc++-33

 The rest of the names were version numbers.  Try:

        yum install compat-libstdc++-33

 or

        yum install compat-libstdc++-296

 which one you need depends on which library g77 is generating code for....
Thanks again, Kevin. Now with

$ rpm -q compat-libstdc++-296
compat-libstdc++-296-2.96-139
$ rpm -q compat-libstdc++-33
compat-libstdc++-33-3.2.3-62
$ rpm -q libstdc++
libstdc++-4.1.2-33
$

The reported problem persists:

$ g77 -O4 -lstdc++ cwrapper.o toyprob.o algencanma.o algencan.o -o algencanma
/usr/bin/ld: cannot find -lstdc++
collect2: ld returned 1 exit status
$

Any further ideas?
The error returned by ld indicates that it wants to load the library
file for stdc++. It should be contained within your standard library
search path. Do you have libstdc++-devel installed? It contains the
library archive files that ld needs to load (sorry about the
mis-direction earlier). It should contain:
/usr/lib/gcc/i386-redhat-linux/4.1.2/libstdc++.a
/usr/lib/gcc/i386-redhat-linux/4.1.2/libstdc++.so
/usr/lib/gcc/i386-redhat-linux/4.1.2/libsupc++.a
I think these are the files ld needs to find.

Paul


--
Kevin J. Cummings
[email protected]
[email protected]
[email protected]
Registered Linux User #1232 (http://counter.li.org)

--
fedora-list mailing list
[email protected]
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list

[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux